org.eclipse.mat.parser.internal

## Class Messages

- java.lang.Object
- - org.eclipse.osgi.util.NLS
  - - org.eclipse.mat.parser.internal.Messages

    public class Messages
    extends NLS

### Field Summary

Fields
`static String` `AbstractObjectImpl_Error_FieldContainsIllegalReference`
`static String` `AbstractObjectImpl_Error_FieldIsNotReference`
`static String` `BitOutputStream_Error_ArrayFull`
`static String` `ClassHistogramRecordBuilder_Error_IllegalUseOfHistogramBuilder`
`static String` `DominatorTree_CalculateRetainedSizes`
`static String` `DominatorTree_CalculatingDominatorTree`
`static String` `DominatorTree_ComputingDominators`
`static String` `DominatorTree_CreateDominatorsIndexFile`
`static String` `DominatorTree_DepthFirstSearch`
`static String` `DominatorTree_DominatorTreeCalculation`
`static String` `Function_Error_NeedsNumberAsInput`
`static String` `Function_ErrorNoFunction`
`static String` `Function_unknown`
`static String` `GarbageCleaner_ReIndexingClasses`
`static String` `GarbageCleaner_ReIndexingObjects`
`static String` `GarbageCleaner_ReIndexingOutboundIndex`
`static String` `GarbageCleaner_RemovedUnreachableObjects`
`static String` `GarbageCleaner_RemovingUnreachableObjects`
`static String` `GarbageCleaner_SearchingForUnreachableObjects`
`static String` `GarbageCleaner_Writing`
`static String` `HistogramBuilder_Error_FailedToStoreInHistogram`
`static String` `IndexReader_Error_IndexIsEmbedded`
`static String` `IndexWriter_Error_ArrayLength`
`static String` `IndexWriter_Error_ObjectArrayLength`
`static String` `IndexWriter_NotImplemented`
`static String` `IndexWriter_StoredError`
`static String` `IndexWriter_StoredException`
`static String` `MethodCallExpression_Error_MethodNotFound`
`static String` `MethodCallExpression_Error_MethodProhibited`
`static String` `MultiplePathsFromGCRootsComputerImpl_FindingPaths`
`static String` `ObjectArrayImpl_forArray`
`static String` `ObjectMarker_ErrorMarkingObjects`
`static String` `ObjectMarker_ErrorMarkingObjectsSeeLog`
`static String` `ObjectMarker_MarkingObjects`
`static String` `ObjectMarker_WarningMarkingObjects`
`static String` `Operation_Error_ArgumentOfUnknownClass`
`static String` `Operation_Error_CannotCompare`
`static String` `Operation_Error_NotInArgumentOfUnknownClass`
`static String` `Operation_Error_NotInCannotCompare`
`static String` `Operation_ErrorNoComparable`
`static String` `Operation_ErrorNotNumber`
`static String` `OQLParser_Encountered_X_at_line_X_column_X_Was_expecting_one_of_X`
`static String` `OQLParser_Missing_return_statement_in_function`
`static String` `OQLQueryImpl_CheckingClass`
`static String` `OQLQueryImpl_CollectingObjects`
`static String` `OQLQueryImpl_Error_CannotCalculateRetainedSet`
`static String` `OQLQueryImpl_Error_ClassCastExceptionOccured`
`static String` `OQLQueryImpl_Error_ElementIsNotClass`
`static String` `OQLQueryImpl_Error_InvalidClassNamePattern`
`static String` `OQLQueryImpl_Error_MissingSnapshot`
`static String` `OQLQueryImpl_Error_MustReturnObjectList`
`static String` `OQLQueryImpl_Error_QueryCannotBeConverted`
`static String` `OQLQueryImpl_Error_QueryMustHaveIdenticalSelectItems`
`static String` `OQLQueryImpl_Error_QueryMustReturnObjects`
`static String` `OQLQueryImpl_Error_ResultMustReturnObjectList`
`static String` `OQLQueryImpl_Errot_IsNotClass`
`static String` `OQLQueryImpl_Selecting`
`static String` `OQLQueryImpl_SelectingObjects`
`static String` `ParserRegistry_ErrorCompilingFileNamePattern`
`static String` `ParserRegistry_ErrorWhileCreating`
`static String` `PathExpression_Error_ArrayHasNoProperty`
`static String` `PathExpression_Error_TypeHasNoProperty`
`static String` `PathExpression_Error_UnknownElementInPath`
`static String` `PositionInputStream_mark`
`static String` `PositionInputStream_reset`
`static String` `PositionInputStream_seek`
`static String` `RetainedSizeCache_ErrorReadingRetainedSizes`
`static String` `RetainedSizeCache_Warning_IgnoreError`
`static String` `SnapshotFactoryImpl_ClassIDNotFound`
`static String` `SnapshotFactoryImpl_ClassImplNotFound`
`static String` `SnapshotFactoryImpl_ClassIndexAddressNoLoaderID`
`static String` `SnapshotFactoryImpl_ClassIndexAddressNotEqualClassObjectAddress`
`static String` `SnapshotFactoryImpl_ClassIndexAddressTypeIDNotEqualClassImplClassId`
`static String` `SnapshotFactoryImpl_ClassIndexNotEqualClassObjectID`
`static String` `SnapshotFactoryImpl_EmptyOutbounds`
`static String` `SnapshotFactoryImpl_Error_NoParserRegistered`
`static String` `SnapshotFactoryImpl_Error_OpeningHeapDump`
`static String` `SnapshotFactoryImpl_Error_ReparsingHeapDump`
`static String` `SnapshotFactoryImpl_ErrorOpeningHeapDump`
`static String` `SnapshotFactoryImpl_GCRootContextIDDoesNotMatchAddress`
`static String` `SnapshotFactoryImpl_GCRootIDDoesNotMatchAddress`
`static String` `SnapshotFactoryImpl_GCRootIDDoesNotMatchIndex`
`static String` `SnapshotFactoryImpl_GCRootIDOutOfRange`
`static String` `SnapshotFactoryImpl_GCThreadIDOutOfRange`
`static String` `SnapshotFactoryImpl_GCThreadRootIDDoesNotMatchIndex`
`static String` `SnapshotFactoryImpl_GCThreadRootIDOutOfRange`
`static String` `SnapshotFactoryImpl_IndexAddressFoundAtOtherID`
`static String` `SnapshotFactoryImpl_IndexAddressHasSameAddressAsPrevious`
`static String` `SnapshotFactoryImpl_IndexAddressIsSmallerThanPrevious`
`static String` `SnapshotFactoryImpl_IndexAddressNegativeArraySize`
`static String` `SnapshotFactoryImpl_InvalidFirstOutbound`
`static String` `SnapshotFactoryImpl_InvalidOutbound`
`static String` `SnapshotFactoryImpl_NoOutbounds`
`static String` `SnapshotFactoryImpl_ObjDescClass`
`static String` `SnapshotFactoryImpl_ObjDescObjType`
`static String` `SnapshotFactoryImpl_ObjDescObjTypeAddress`
`static String` `SnapshotFactoryImpl_ObjectsFoundButClassesHadObjectsAndClassesInTotal`
`static String` `SnapshotFactoryImpl_ReparsingHeapDumpAsIndexOutOfDate`
`static String` `SnapshotFactoryImpl_ReparsingHeapDumpWithOutOfDateIndex`
`static String` `SnapshotFactoryImpl_UnableToDeleteIndexFile`
`static String` `SnapshotFactoryImpl_ValidatingGCRoots`
`static String` `SnapshotFactoryImpl_ValidatingIndices`
`static String` `SnapshotImpl_BuildingHistogram`
`static String` `SnapshotImpl_Error_DomTreeNotAvailable`
`static String` `SnapshotImpl_Error_ObjectNotFound`
`static String` `SnapshotImpl_Error_ParserNotFound`
`static String` `SnapshotImpl_Error_ReplacingNonExistentClassLoader`
`static String` `SnapshotImpl_Error_UnknownVersion`
`static String` `SnapshotImpl_Error_UnrecognizedState`
`static String` `SnapshotImpl_Histogram`
`static String` `SnapshotImpl_Label`
`static String` `SnapshotImpl_ReadingInboundReferrers`
`static String` `SnapshotImpl_ReadingOutboundReferrers`
`static String` `SnapshotImpl_ReopeningParsedHeapDumpFile`
`static String` `SnapshotImpl_RetrievingDominators`
`static String` `ThreadStackHelper_InvalidThread`
`static String` `ThreadStackHelper_InvalidThreadLocal`

### Method Summary

### Methods inherited from class org.eclipse.osgi.util.NLS

`bind, bind, bind, initializeMessages`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### AbstractObjectImpl_Error_FieldContainsIllegalReference

    public static String AbstractObjectImpl_Error_FieldContainsIllegalReference

#### AbstractObjectImpl_Error_FieldIsNotReference

    public static String AbstractObjectImpl_Error_FieldIsNotReference

#### BitOutputStream_Error_ArrayFull

    public static String BitOutputStream_Error_ArrayFull

#### ClassHistogramRecordBuilder_Error_IllegalUseOfHistogramBuilder

    public static String ClassHistogramRecordBuilder_Error_IllegalUseOfHistogramBuilder

#### DominatorTree_CalculateRetainedSizes

    public static String DominatorTree_CalculateRetainedSizes

#### DominatorTree_CalculatingDominatorTree

    public static String DominatorTree_CalculatingDominatorTree

#### DominatorTree_ComputingDominators

    public static String DominatorTree_ComputingDominators

#### DominatorTree_CreateDominatorsIndexFile

    public static String DominatorTree_CreateDominatorsIndexFile

#### DominatorTree_DepthFirstSearch

    public static String DominatorTree_DepthFirstSearch

#### DominatorTree_DominatorTreeCalculation

    public static String DominatorTree_DominatorTreeCalculation

#### Function_Error_NeedsNumberAsInput

    public static String Function_Error_NeedsNumberAsInput

#### Function_ErrorNoFunction

    public static String Function_ErrorNoFunction

#### Function_unknown

    public static String Function_unknown

#### GarbageCleaner_ReIndexingClasses

    public static String GarbageCleaner_ReIndexingClasses

#### GarbageCleaner_ReIndexingObjects

    public static String GarbageCleaner_ReIndexingObjects

#### GarbageCleaner_ReIndexingOutboundIndex

    public static String GarbageCleaner_ReIndexingOutboundIndex

#### GarbageCleaner_RemovedUnreachableObjects

    public static String GarbageCleaner_RemovedUnreachableObjects

#### GarbageCleaner_RemovingUnreachableObjects

    public static String GarbageCleaner_RemovingUnreachableObjects

#### GarbageCleaner_SearchingForUnreachableObjects

    public static String GarbageCleaner_SearchingForUnreachableObjects

#### GarbageCleaner_Writing

    public static String GarbageCleaner_Writing

#### HistogramBuilder_Error_FailedToStoreInHistogram

    public static String HistogramBuilder_Error_FailedToStoreInHistogram

#### IndexReader_Error_IndexIsEmbedded

    public static String IndexReader_Error_IndexIsEmbedded

#### IndexWriter_Error_ArrayLength

    public static String IndexWriter_Error_ArrayLength

#### IndexWriter_Error_ObjectArrayLength

    public static String IndexWriter_Error_ObjectArrayLength

#### IndexWriter_NotImplemented

    public static String IndexWriter_NotImplemented

#### IndexWriter_StoredError

    public static String IndexWriter_StoredError

#### IndexWriter_StoredException

    public static String IndexWriter_StoredException

#### MethodCallExpression_Error_MethodNotFound

    public static String MethodCallExpression_Error_MethodNotFound

#### MethodCallExpression_Error_MethodProhibited

    public static String MethodCallExpression_Error_MethodProhibited

#### MultiplePathsFromGCRootsComputerImpl_FindingPaths

    public static String MultiplePathsFromGCRootsComputerImpl_FindingPaths

#### SnapshotFactoryImpl_ClassIDNotFound

    public static String SnapshotFactoryImpl_ClassIDNotFound

#### SnapshotFactoryImpl_ClassImplNotFound

    public static String SnapshotFactoryImpl_ClassImplNotFound

#### SnapshotFactoryImpl_ClassIndexAddressNoLoaderID

    public static String SnapshotFactoryImpl_ClassIndexAddressNoLoaderID

#### SnapshotFactoryImpl_ClassIndexAddressNotEqualClassObjectAddress

    public static String SnapshotFactoryImpl_ClassIndexAddressNotEqualClassObjectAddress

#### SnapshotFactoryImpl_ClassIndexAddressTypeIDNotEqualClassImplClassId

    public static String SnapshotFactoryImpl_ClassIndexAddressTypeIDNotEqualClassImplClassId

#### SnapshotFactoryImpl_ClassIndexNotEqualClassObjectID

    public static String SnapshotFactoryImpl_ClassIndexNotEqualClassObjectID

#### SnapshotFactoryImpl_EmptyOutbounds

    public static String SnapshotFactoryImpl_EmptyOutbounds

#### SnapshotFactoryImpl_Error_NoParserRegistered

    public static String SnapshotFactoryImpl_Error_NoParserRegistered

#### SnapshotFactoryImpl_Error_OpeningHeapDump

    public static String SnapshotFactoryImpl_Error_OpeningHeapDump

#### SnapshotFactoryImpl_Error_ReparsingHeapDump

    public static String SnapshotFactoryImpl_Error_ReparsingHeapDump

#### SnapshotFactoryImpl_ErrorOpeningHeapDump

    public static String SnapshotFactoryImpl_ErrorOpeningHeapDump

#### SnapshotFactoryImpl_GCRootContextIDDoesNotMatchAddress

    public static String SnapshotFactoryImpl_GCRootContextIDDoesNotMatchAddress

#### SnapshotFactoryImpl_GCRootIDDoesNotMatchAddress

    public static String SnapshotFactoryImpl_GCRootIDDoesNotMatchAddress

#### SnapshotFactoryImpl_GCRootIDDoesNotMatchIndex

    public static String SnapshotFactoryImpl_GCRootIDDoesNotMatchIndex

#### SnapshotFactoryImpl_GCRootIDOutOfRange

    public static String SnapshotFactoryImpl_GCRootIDOutOfRange

#### SnapshotFactoryImpl_GCThreadIDOutOfRange

    public static String SnapshotFactoryImpl_GCThreadIDOutOfRange

#### SnapshotFactoryImpl_GCThreadRootIDDoesNotMatchIndex

    public static String SnapshotFactoryImpl_GCThreadRootIDDoesNotMatchIndex

#### SnapshotFactoryImpl_GCThreadRootIDOutOfRange

    public static String SnapshotFactoryImpl_GCThreadRootIDOutOfRange

#### SnapshotFactoryImpl_IndexAddressFoundAtOtherID

    public static String SnapshotFactoryImpl_IndexAddressFoundAtOtherID

#### SnapshotFactoryImpl_IndexAddressHasSameAddressAsPrevious

    public static String SnapshotFactoryImpl_IndexAddressHasSameAddressAsPrevious

#### SnapshotFactoryImpl_IndexAddressIsSmallerThanPrevious

    public static String SnapshotFactoryImpl_IndexAddressIsSmallerThanPrevious

#### SnapshotFactoryImpl_IndexAddressNegativeArraySize

    public static String SnapshotFactoryImpl_IndexAddressNegativeArraySize

#### SnapshotFactoryImpl_InvalidFirstOutbound

    public static String SnapshotFactoryImpl_InvalidFirstOutbound

#### SnapshotFactoryImpl_InvalidOutbound

    public static String SnapshotFactoryImpl_InvalidOutbound

#### SnapshotFactoryImpl_NoOutbounds

    public static String SnapshotFactoryImpl_NoOutbounds

#### SnapshotFactoryImpl_ObjDescClass

    public static String SnapshotFactoryImpl_ObjDescClass

#### SnapshotFactoryImpl_ObjDescObjType

    public static String SnapshotFactoryImpl_ObjDescObjType

#### SnapshotFactoryImpl_ObjDescObjTypeAddress

    public static String SnapshotFactoryImpl_ObjDescObjTypeAddress

#### SnapshotFactoryImpl_ObjectsFoundButClassesHadObjectsAndClassesInTotal

    public static String SnapshotFactoryImpl_ObjectsFoundButClassesHadObjectsAndClassesInTotal

#### SnapshotFactoryImpl_ReparsingHeapDumpAsIndexOutOfDate

    public static String SnapshotFactoryImpl_ReparsingHeapDumpAsIndexOutOfDate

#### SnapshotFactoryImpl_ReparsingHeapDumpWithOutOfDateIndex

    public static String SnapshotFactoryImpl_ReparsingHeapDumpWithOutOfDateIndex

#### SnapshotFactoryImpl_UnableToDeleteIndexFile

    public static String SnapshotFactoryImpl_UnableToDeleteIndexFile

#### SnapshotFactoryImpl_ValidatingGCRoots

    public static String SnapshotFactoryImpl_ValidatingGCRoots

#### SnapshotFactoryImpl_ValidatingIndices

    public static String SnapshotFactoryImpl_ValidatingIndices

#### SnapshotImpl_BuildingHistogram

    public static String SnapshotImpl_BuildingHistogram

#### SnapshotImpl_Error_DomTreeNotAvailable

    public static String SnapshotImpl_Error_DomTreeNotAvailable

#### SnapshotImpl_Error_ObjectNotFound

    public static String SnapshotImpl_Error_ObjectNotFound

#### SnapshotImpl_Error_ParserNotFound

    public static String SnapshotImpl_Error_ParserNotFound

#### SnapshotImpl_Error_ReplacingNonExistentClassLoader

    public static String SnapshotImpl_Error_ReplacingNonExistentClassLoader

#### SnapshotImpl_Error_UnknownVersion

    public static String SnapshotImpl_Error_UnknownVersion

#### SnapshotImpl_Error_UnrecognizedState

    public static String SnapshotImpl_Error_UnrecognizedState

#### SnapshotImpl_Histogram

    public static String SnapshotImpl_Histogram

#### SnapshotImpl_Label

    public static String SnapshotImpl_Label

#### SnapshotImpl_ReadingInboundReferrers

    public static String SnapshotImpl_ReadingInboundReferrers

#### SnapshotImpl_ReadingOutboundReferrers

    public static String SnapshotImpl_ReadingOutboundReferrers

#### SnapshotImpl_ReopeningParsedHeapDumpFile

    public static String SnapshotImpl_ReopeningParsedHeapDumpFile

#### SnapshotImpl_RetrievingDominators

    public static String SnapshotImpl_RetrievingDominators

#### ObjectArrayImpl_forArray

    public static String ObjectArrayImpl_forArray

#### ObjectMarker_MarkingObjects

    public static String ObjectMarker_MarkingObjects

#### ObjectMarker_ErrorMarkingObjects

    public static String ObjectMarker_ErrorMarkingObjects

#### ObjectMarker_WarningMarkingObjects

    public static String ObjectMarker_WarningMarkingObjects

#### ObjectMarker_ErrorMarkingObjectsSeeLog

    public static String ObjectMarker_ErrorMarkingObjectsSeeLog

#### Operation_Error_ArgumentOfUnknownClass

    public static String Operation_Error_ArgumentOfUnknownClass

#### Operation_Error_CannotCompare

    public static String Operation_Error_CannotCompare

#### Operation_Error_NotInArgumentOfUnknownClass

    public static String Operation_Error_NotInArgumentOfUnknownClass

#### Operation_Error_NotInCannotCompare

    public static String Operation_Error_NotInCannotCompare

#### Operation_ErrorNoComparable

    public static String Operation_ErrorNoComparable

#### Operation_ErrorNotNumber

    public static String Operation_ErrorNotNumber

#### OQLQueryImpl_CheckingClass

    public static String OQLQueryImpl_CheckingClass

#### OQLQueryImpl_CollectingObjects

    public static String OQLQueryImpl_CollectingObjects

#### OQLQueryImpl_Error_CannotCalculateRetainedSet

    public static String OQLQueryImpl_Error_CannotCalculateRetainedSet

#### OQLQueryImpl_Error_ClassCastExceptionOccured

    public static String OQLQueryImpl_Error_ClassCastExceptionOccured

#### OQLQueryImpl_Error_ElementIsNotClass

    public static String OQLQueryImpl_Error_ElementIsNotClass

#### OQLQueryImpl_Error_InvalidClassNamePattern

    public static String OQLQueryImpl_Error_InvalidClassNamePattern

#### OQLQueryImpl_Error_MissingSnapshot

    public static String OQLQueryImpl_Error_MissingSnapshot

#### OQLQueryImpl_Error_MustReturnObjectList

    public static String OQLQueryImpl_Error_MustReturnObjectList

#### OQLQueryImpl_Error_QueryCannotBeConverted

    public static String OQLQueryImpl_Error_QueryCannotBeConverted

#### OQLQueryImpl_Error_QueryMustHaveIdenticalSelectItems

    public static String OQLQueryImpl_Error_QueryMustHaveIdenticalSelectItems

#### OQLQueryImpl_Error_QueryMustReturnObjects

    public static String OQLQueryImpl_Error_QueryMustReturnObjects

#### OQLQueryImpl_Error_ResultMustReturnObjectList

    public static String OQLQueryImpl_Error_ResultMustReturnObjectList

#### OQLQueryImpl_Errot_IsNotClass

    public static String OQLQueryImpl_Errot_IsNotClass

#### OQLQueryImpl_Selecting

    public static String OQLQueryImpl_Selecting

#### OQLQueryImpl_SelectingObjects

    public static String OQLQueryImpl_SelectingObjects

#### ParserRegistry_ErrorCompilingFileNamePattern

    public static String ParserRegistry_ErrorCompilingFileNamePattern

#### ParserRegistry_ErrorWhileCreating

    public static String ParserRegistry_ErrorWhileCreating

#### PathExpression_Error_ArrayHasNoProperty

    public static String PathExpression_Error_ArrayHasNoProperty

#### PathExpression_Error_TypeHasNoProperty

    public static String PathExpression_Error_TypeHasNoProperty

#### PathExpression_Error_UnknownElementInPath

    public static String PathExpression_Error_UnknownElementInPath

#### PositionInputStream_mark

    public static String PositionInputStream_mark

#### PositionInputStream_reset

    public static String PositionInputStream_reset

#### PositionInputStream_seek

    public static String PositionInputStream_seek

#### RetainedSizeCache_ErrorReadingRetainedSizes

    public static String RetainedSizeCache_ErrorReadingRetainedSizes

#### RetainedSizeCache_Warning_IgnoreError

    public static String RetainedSizeCache_Warning_IgnoreError

#### OQLParser_Encountered_X_at_line_X_column_X_Was_expecting_one_of_X

    public static String OQLParser_Encountered_X_at_line_X_column_X_Was_expecting_one_of_X

#### OQLParser_Missing_return_statement_in_function

    public static String OQLParser_Missing_return_statement_in_function

#### ThreadStackHelper_InvalidThread

    public static String ThreadStackHelper_InvalidThread

#### ThreadStackHelper_InvalidThreadLocal

    public static String ThreadStackHelper_InvalidThreadLocal